org.apache.lucene.index

## Interface RandomIndexWriter.TestPoint

Enclosing class:
  RandomIndexWriter

    public static interface RandomIndexWriter.TestPoint

Simple interface that is executed for each `TP` `InfoStream` component message. See also `RandomIndexWriter.mockIndexWriter(Random, Directory, IndexWriterConfig, TestPoint)`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `apply(String message)`

### Method Detail

#### apply

    void apply(String message)